Package net.shibboleth.idp.plugin.authn.webauthn.storage

# Interface CredentialRecord.IUsernameStage

All Known Implementing Classes:
  `CredentialRecord.Builder`

Enclosing class:
  CredentialRecord

public static interface CredentialRecord.IUsernameStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`CredentialRecord.ITransportsStage`
`withUsername(String username)`
The username of the user to the IdP.

## Method Details

### withUsername

@Nonnull CredentialRecord.ITransportsStage withUsername(@Nonnull String username)
The username of the user to the IdP.

Parameters:
  `username` - the username of the user
Returns:
  the next builder stage